import type { CommunicationTypeViewModel } from "@/viewmodels/admin/configuration/communicationType.models";

export interface CommunicationViewModel {
  id: number;
  preferred: boolean;
  mobile: string;
  email: string;
  postalCode: string;
  city: string;
  street: string;
  streetNumber: number;
  streetNumberAddition: string;
  type: CommunicationTypeViewModel;
  isNewsletterMain: boolean;
  isSMSAlarming: boolean;
}

export interface CreateCommunicationViewModel {
  preferred: boolean;
  mobile: string;
  email: string;
  postalCode: string;
  city: string;
  street: string;
  streetNumber: number;
  streetNumberAddition: string;
  typeId: number;
  isNewsletterMain: boolean;
  isSMSAlarming: boolean;
}

export interface UpdateCommunicationViewModel {
  id: number;
  preferred: boolean;
  mobile: string;
  email: string;
  postalCode: string;
  city: string;
  street: string;
  streetNumber: number;
  streetNumberAddition: string;
  isNewsletterMain: boolean;
  isSMSAlarming: boolean;
}
