export interface MembershipViewModel {
  id: number;
  start: Date;
  end?: Date;
  terminationReason?: string;
  status: string;
  statusId: number;
}

export interface MembershipStatisticsViewModel {
  durationInDays: number;
  durationInYears: number;
  exactDuration: string;
  status: string;
  statusId: number;
  memberId: string;
  memberSalutation: string;
  memberFirstname: string;
  memberLastname: string;
  memberNameaffix: string;
  memberBirthdate: Date;
}

export interface MembershipTotalStatisticsViewModel {
  durationInDays: number;
  durationInYears: number;
  exactDuration: string;
  memberId: string;
  memberSalutation: string;
  memberFirstname: string;
  memberLastname: string;
  memberNameaffix: string;
  memberBirthdate: Date;
}

export interface CreateMembershipViewModel {
  start: Date;
  statusId: number;
}

export interface UpdateMembershipViewModel {
  id: number;
  start: Date;
  end?: Date;
  terminationReason?: string;
  statusId: number;
}
