export interface NewsletterViewModel {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  isSent: boolean;
  recipientsByQueryId?: string | null;
  createdAt: Date;
}

export interface CreateNewsletterViewModel {
  title: string;
}

export interface SyncNewsletterViewModel {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  recipientsByQueryId?: string;
}

export interface SendNewsletterViewModel {
  id: number;
}
